Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ComponentControlBehaviorRenderer

    java.lang.Object
      javax.faces.render.ClientBehaviorRenderer
          org.richfaces.renderkit.ComponentControlBehaviorRenderer

    public class ComponentControlBehaviorRenderer

extends javax.faces.render.ClientBehaviorRenderer

Author:
  Anton Belevich

Constructor Summary
`ComponentControlBehaviorRenderer()`

Method Summary
`protected List<Object>` | `createSignature(ComponentControlBehavior behavior)`
`String` | `getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext, javax.faces.component.behavior.ClientBehavior behavior)`
`protected String[]` | `resolveTargets(javax.faces.context.FacesContext context, String targetSourceString)`

Methods inherited from class javax.faces.render.ClientBehaviorRenderer
`decode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentControlBehaviorRenderer

    public ComponentControlBehaviorRenderer()

Method Detail

### getScript

    public String getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext,
                            javax.faces.component.behavior.ClientBehavior behavior)

  Overrides:
    `getScript` in class `javax.faces.render.ClientBehaviorRenderer`

### createSignature

    protected List<Object> createSignature(ComponentControlBehavior behavior)

### resolveTargets

    protected String[] resolveTargets(javax.faces.context.FacesContext context,
                                      String targetSourceString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.